> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ticketfavourite

## "ticketfavourite" MDO List

Implemented by the <see cref="T:SuperOffice.CRM.Lists.TicketFavouriteListProvider">TicketFavouriteListProvider</see> class.
The name of the MDO list is 'ticketfavourite'.

## Additional Attributes

| Description                       | Name       | Example Value           |
| --------------------------------- | ---------- | ----------------------- |
| Indicates how to format item name | nameformat | includePersonAndCompany |

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/ticketfavourite
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("ticketfavourite", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "ticketfavouriteheadings"
* "ticketfavouriteheadingswithallitem"
* "ticketfavouriteheadingswithallitemwithnoselection"
* "ticketfavouriteheadingswithnoselection"
* "ticketfavouritewithallitem"
* "ticketfavouritewithallitemwithnoselection"
* "ticketfavouritewithnoselection"


## Related topics

- [ticketfavourites](/en/api/archive-providers/reference/ticketfavourites.md)
- [TicketFavouriteUpdatedNotification](/en/api/archive-providers/reference/ticketfavouriteupdatednotification.md)
- [Archive Provider List](/en/api/archive-providers/reference/index.md)
- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
